> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Context



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/contexts
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/contexts:
    get:
      tags:
        - contexts
      summary: List Context
      operationId: list_context_api_v1_contexts_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            title: Limit
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Page Token
        - name: order
          in: query
          required: false
          schema:
            type: string
            pattern: ^(asc|desc)$
            title: Order
        - name: order_by
          in: query
          required: false
          schema:
            type: string
            pattern: ^created_at|updated_at$
            title: Order By
        - name: include_empty
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Include Empty
        - name: provider_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Provider Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_Context_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PaginatedResult_Context_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Context'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[Context]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Context:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        last_active_at:
          type: string
          format: date-time
          title: Last Active At
        created_by:
          type: string
          format: uuid
          title: Created By
        provider_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Provider Id
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
              description: >

                Set of 16 key-value pairs that can be attached to an object.
                This can be useful for storing additional

                information about the object in a structured format, and
                querying for objects via API or the dashboard.


                Keys are strings with a maximum length of 64 characters. Values
                are strings with a maximum length of

                512 characters.
            - type: 'null'
          title: Metadata
      type: object
      required:
        - created_by
      title: Context
      description: >-
        A context that groups files and vector stores for LLM proxy token
        generation.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````